{% extends 'base.html' %}

{% block title %}}
My Pantry
{% endblock title %}}

{% block content %}
<main>
  <div>
    <h1>My Pantry</h1>
    <br>
    <p>Add a new item</p>
    <form method="post">
      {% csrf_token %}
      {{ add_form.as_p }}
      <button class="new-button">Add Item</button>
    </form>
    <div id="pantry-tables">
    <table class="pantry-table">
      <thead>
        <th>Item</th>
        <th>Remove</th>
      </thead>
      <tbody>
        {% for item in pantry_item %}
          {% if item.in_pantry == True %}
          <tr>
            <td><a href="{% url 'ingredient_suggestion' item.id %}">{{ item.name }}</a></td>
            <td class="table-btn"><a href="{% url 'move_item' item.id %}">X</a></td>
          </tr>
          {% endif %}
        {% endfor %}
      </tbody>
    </table>

    <h3><a href="{% url 'pantry_suggestion' %}" style="text-decoration: none;" id="make-now">What can I make right now?</a></h3>
    <table class="pantry-table">
      <thead>
        <th>Item</th>
        <th>Add</th>
      </thead>
      <tbody>
        {% for item in pantry_item %}
        {% if item.in_pantry == False %}
        <tr>
          <td><a href="{% url 'ingredient_suggestion' item.id %}">{{ item.name }}</a></td>
          <td class="table-btn"><a href="{% url 'move_item' item.id %}">O</a></td>
        </tr>
        {% endif %}
        {% endfor %}
      </tbody>
    </table>
    </div>
  </div>
</main>
{% endblock content %}
